Bug 445173 - 1280x1024 capable screen starts with 1024x768 resolution
Summary: 1280x1024 capable screen starts with 1024x768 resolution
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-05 05:48 UTC by Valent Turkovic
Modified: 2018-04-11 07:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:39:33 UTC


Attachments (Terms of Use)
Xorg.0.log (34.47 KB, text/plain)
2008-05-05 05:48 UTC, Valent Turkovic
no flags Details
xorg.conf (626 bytes, text/plain)
2008-05-05 05:49 UTC, Valent Turkovic
no flags Details

Description Valent Turkovic 2008-05-05 05:48:37 UTC
Description of problem:
I connect external 19" screen to my laptop with intel card and Rawhide (with all
updates) starts X with 1024x768 resolution. With Fedora 8 this screen is
correctly setup and X starts automatically with 1280x1024 resolution.

When I install resapplet and switch with it resolution to 1280x1024 then it
works ok.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Valent Turkovic 2008-05-05 05:48:37 UTC
Created attachment 304509 [details]
Xorg.0.log

Comment 2 Valent Turkovic 2008-05-05 05:49:20 UTC
Created attachment 304510 [details]
xorg.conf

Comment 3 Adam Jackson 2008-05-07 17:17:42 UTC
This is intentional.  We try to avoid incompletely-overlapping monitors in the
initial configuration heuristic, instead preferring whatever the best common
mode is.

Comment 4 Valent Turkovic 2008-05-07 22:09:52 UTC
1280x800 and 1280x1024 screens have work out a 1024x768 resolution - why?
how is user on fedora desktop suposed to switch to a higher resolutions when needed?
For me personally the F8 worked better than currently Rawhide is working.


Comment 5 Adam Jackson 2008-05-08 20:32:35 UTC
The largest mode your 1280x800 and 1280x1024 screens have in common is 1024x768.
 If I picked 1280x800, there's a good chance your 12x10 screen wouldn't be able
to display it.  If I pick 12x10, your 12x8 screen will only be part of the
screen.  This actually does really nasty things when (for example) a buggy
firmware table leads us to believe there's an 800x600 screen attached as well as
your real 1280x1024, and then your panels are stuck to the "inner" screen
dimensions, floating in the middle of your real display.

Yes, the current heuristic is bad, but it's the least bad of the available
options.  For F10 we expect to have this fixed so that the initial configuration
heuristic is "right of" instead of "clone".

If you want something bigger, use System / Preferences / Hardware / Screen
Resolution, which will let you configure your outputs with RANDR and will save
its settings to gconf so they apply at login.

Comment 6 Valent Turkovic 2008-05-08 22:00:45 UTC
I have a use case that this new feature breaks and that is why I reported it as
a bug.

I have (and probably others do also) a laptop that they carry around and use
only it's inner display. But when I return home I plug it in to 19" screen.

On fedora 8 this works great and my 19" screen is correctly displaying 1280x1024
resolution but with rawhide this feature breaks this use case.

Using System / Preferences / Hardware / Screen Resolution doesn't work currently
(I tested it now and it just does nothing). Also setting fixed resolution in
xorg.conf isn't a good idea if it would cause problems without external screen
connected to laptop.

I'm not a newbie user so that is not a bit issue for me but there others that
this will cause problems for.

I found 'resapplet' - resolution applet that let's me easily change my
resolution and it would be a nice thing to have installed and enabled by default.

If you still think that this bug needs to be closed or if you belive that I
should post a RFE or something else please point me in the right direction.

Thank you for your answer.

Comment 7 Bug Zapper 2008-05-14 10:38:45 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Valent Turkovic 2008-05-30 08:46:51 UTC
Once I setup resolution in gnome via /system/preferences/hardware/screen
resolution now everytime I boot into gnome my resolution after a few seconds go
to the 1280x1024 and I love that feature!

One issue I still have is that on GDM screen I still see the "bad" resolution of
1024x768.

Comment 9 Valent Turkovic 2008-06-11 10:10:43 UTC
It there a way so that setting from /system/preferences/hardware/screen
resolution can be brought to GDM screen?

Comment 10 Valent Turkovic 2008-06-11 10:30:40 UTC
I created a RFE: https://bugzilla.redhat.com/show_bug.cgi?id=450843
I'm not sure if my proposal has some flaw in it so please check it out.

Comment 11 Matěj Cepl 2008-06-11 14:55:15 UTC
So, this bug is NOTABUG now, right?

Comment 12 Valent Turkovic 2008-06-11 20:09:38 UTC
As Adam said in comment #3 it is a feature not a bug... but I still would call
it a usability bug.

Comment 13 Bug Zapper 2009-06-10 00:37:01 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2009-07-14 17:39:33 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.